% GENDER RECOGNITION BASED ON GENETIC ALGORITHMS
%
% Copy all files in Matlab current directory and type "gagenderrec" on
% Matlab command window.
% 
% A simple and intuitive GUI should appear.
% Select an input image by pressing the "Select image" button.
% If you can perform gender recognition just 
% press on "Gender Recognition" button.
%
% Default parameters will be used for recognition. 
% These parameters have been obtained with genetic algorithms.
% If you want to can re-train the system just press on "GA Optimization" button. 
% Database of facial images will be loaded on Matlab workspace and 
% GA optimization will be started.
%
% Training procedure:
% Stanford Medical Student Face Database includes 200 male faces and 200
% female faces: 360 images (training images) are randomly selected and used by the 
% objective function to find the optimal parameters to minimize
% the number of erros on given images. These parameters will be used to recognize 
% the remaining images (40 testing images).
% Objective function returns the recognition rate on these testing images.
% For a given chromosome this procedure is repeated several times to make 
% results statistically consistent.  
%
% 
% FUNCTIONS
%
% Select image:                                  read the input image
%
% Gender Recognition:                            gender recognition. The selected input image is processed
%
% GA Optimization:                               system is trained using an approach based on genetic algorithm
%
% Program info:                                  show informations about this software
%
% Source code:                                   how to obtain the complete source code
%
% Exit:                                          quit program
%
%
%
% Luigi Rosa
% Via Centrale 35
% 67042 Civita di Bagno
% L'Aquila - ITALY 
% email  luigi.rosa@tiscali.it
% mobile +39 3207214179
% website http://www.advancedsourcecode.com
%
%